Subject: [Tools-discuss] Testing and the SprintCoderSetup wiki page

From: Tom Pusateri <[email-masked]>
Date: Tue, 31 Mar 2020 10:26:47 -0400

Thanks for the easy instructions on setting up a development environment. It’s been two sprints ago that I worked on anything in the datatracker and this made it easy.

I recently updated the SprintCoderSetup wiki page:

https://trac.tools.ietf.org/tools/ietfdb/wiki/SprintCoderSetup

adding an example test invocation to only run a single test. This is helpful when you’re developing and don’t want to run the whole test suite each time.

But this made me wonder if it was possible to run against the existing full database and not a special test database? I know it’s unpredictable what is in the full database and that’s why a test database is useful but testing against real data is also useful.

On an unrelated note, when following these directions, I skipped the section “RUN THE TESTS” at first (shame) and went straight to “Start the Development Server”. This wasted a lot of time because the server wouldn’t start due to missing python modules. Going back and running the tests fixed this problem. While I shouldn’t have skipped the initial running of the tests, this shouldn’t have prevented the development server from running. Should I open a ticket on this?

Tom